> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List brain receipts

> List the receipts of a brain's reads and writes.

**Operation ID:** `http.brains.receipts`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/brains/{id}/receipts
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/brains/{id}/receipts
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/brains/{id}/receipts:
    get:
      tags:
        - Brains
      summary: List brain receipts
      description: |-
        List the receipts of a brain's reads and writes.

        Product guidance: [Brain](/concepts/brain).
      operationId: http.brains.receipts
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: before
          in: query
          required: false
          description: >-
            Only receipts before this timestamp: the next_before a page
            returned.
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        - name: limit
          in: query
          required: false
          description: Page size, 1 to 200. Defaults to 50.
          schema:
            type: string
            pattern: ^[1-9]\d{0,2}$
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_brains_receipts_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_brains_receipts_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              brain_id:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              door_id:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              boundary_id:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              operation:
                type: string
              door:
                type: string
                enum:
                  - person
                  - connection
                  - api_key
                  - app
              slice_version_id:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              version_number:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              returned_count:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              request_digest:
                type: string
              returned_digest:
                type: string
              created_at:
                type: string
            required:
              - id
              - brain_id
              - door_id
              - boundary_id
              - operation
              - door
              - slice_version_id
              - version_number
              - returned_count
              - request_digest
              - returned_digest
              - created_at
            additionalProperties: false
        page:
          type: object
          properties:
            has_more:
              type: boolean
            next_before:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - has_more
            - next_before
          additionalProperties: false
      required:
        - data
        - page
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.